/********************************************************************/
/* FDA24EEC.TPL                                                     */
/* iSeries command language program for EGL Generator               */
/* server application runtime setup. Program prologue.              */
/* @Copyright IBM Corporation, 1996                                 */
/********************************************************************/

  IF COND(&CMTSTARTED = 'N') THEN(DO)
    /* If this is first server call since a new ca400_StartSys      */
    /* (acquisition of new CA/400 server job)                       */
    /* then establish a known state of commitment control.          */
    /* End commitment control if it was running and start it        */
    /* using our command here.                                      */
    ENDCMTCTL
    MONMSG  MSGID(CPF8350)  /* ignore if not running */
    STRCMTCTL LCKLVL(*CHG) CMTSCOPE(*JOB)
    MONMSG MSGID(CPF8351)
  ENDDO

  RETURN

ERROR:
  CHGVAR VAR(%%SST(&MESSAGE 40 10)) VALUE(&DESTLIB)
  SNDPGMMSG MSGID(CPF9898) +
    MSGF(QCPFMSG) +
    MSGDTA(&MESSAGE) +
    MSGTYPE(*ESCAPE)

ENDPGM

